// TemperatureTMP.h - Arduino library for retrieving data from Analog Devices TMP Temperature sensors
// Copyright 2013 R den Breejen (info@breematic.nl)
//
// Version History:
// Version 0.1: initial version
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

#ifndef bmNTC_h
#define bmNTC_h
#include <Arduino.h>

class bmNTC
{
  public:
    bmNTC();
    void begin(int ntcPin,float B,float R25,float R1);          // begin using a user selected analog pin

    int getTemperatureRaw();                   					// get the temperature raw ADC value
    float getTemperatureCelcius();         						// get the temperature in degrees Celcius

  private:
    int _ntcPin;                            					// analog pin where the sensor is connected
	
	float _B;													// ntc beta value
	float _R25;													// ntc resistance 25 degrees celsius
	float _R1;													// fixed resistance between vcc and analog input
};
#endif
