
/* bmNTCDemo

  This sketch reads the temperature.
  
  Circuit example :
              
           +5V
            |
           4K7
            |
            *-----*------ A0
            |     |
           NTC  10uF             
            |     |
            *-----
            |                  
           GND
  
  
   http://www.breematic.nl
  
*/

#include <bmNTC.h>

bmNTC sensor1;

unsigned long previousMillis = 0;
unsigned long interval = 1000; 


void setup() 
{
  // initialize serial communication:
  Serial.begin(9600);
  
  // initialize sensors
  sensor1.begin(A0,3470,10000,4700); //NTC 10K B3470 connected to A0 with 4K7 fixed resistor
}

void loop() 
{
  
  unsigned long currentMillis = millis();
  
  if((currentMillis - previousMillis) >= interval)
  {
    Serial.print("T1:"); 
    Serial.println(sensor1.getTemperatureCelcius()); 
    previousMillis = currentMillis;
  }
}
